# network_server.h File Reference

Server part of the network protocol. More...

`#include "network_internal.h"`

Go to the source code of this file.

## Functions
| DEF_SERVER_SEND_COMMAND (PACKET_SERVER_MAP)
DEF_SERVER_SEND_COMMAND_PARAM() | PACKET_SERVER_ERROR_QUIT (NetworkClientSocket *cs, ClientID client_id, NetworkErrorCode errorno)
DEF_SERVER_SEND_COMMAND_PARAM() | PACKET_SERVER_ERROR (NetworkClientSocket *cs, NetworkErrorCode error)
| DEF_SERVER_SEND_COMMAND (PACKET_SERVER_SHUTDOWN)
| DEF_SERVER_SEND_COMMAND (PACKET_SERVER_NEWGAME)
DEF_SERVER_SEND_COMMAND_PARAM() | PACKET_SERVER_RCON (NetworkClientSocket *cs, uint16 colour, const char *command)
DEF_SERVER_SEND_COMMAND_PARAM() | PACKET_SERVER_MOVE (NetworkClientSocket *cs, uint16 client_id, CompanyID company_id)
void | NetworkServer_ReadPackets (NetworkClientSocket *cs)
void | NetworkServer_Tick (bool send_frame)

## Detailed Description

Server part of the network protocol.

Definition in file network_server.h.